# Git
.git
.gitignore
.dockerignore


# Python / Uvicorn / FastAPI
__pycache__/
*.py[cod]
*$py.class
*.so
.Python
build/
develop-eggs/
dist/
downloads/
eggs/
.eggs/
lib/
lib64/
parts/
sdist/
var/
wheels/
*.egg-info/
.installed.cfg
*.egg
MANIFEST

# Virtual Environment
venv/
.venv/
env/
ENV/

# Environment Variables (Security)
.env
.env.*
!.env.example

# Testing / Coverage
.coverage
.tox/
.nox/
coverage.xml
htmlcov/
.pytest_cache/
.mypy_cache/

# Logs
*.log
npm-debug.log*
yarn-debug.log*
yarn-error.log*
pnpm-debug.log*
backend/backups/

# Node / Frontend
node_modules/
frontend/node_modules/
frontend/dist/
frontend/npm-debug.log
frontend/yarn-error.log
backups

# Docker
docker-compose.override.yml

# IDEs
.idea/
.vscode/
*.swp
*.swo
.DS_Store
